% ------------
% Quarter car:
% ------------
m1 = 25;  %[kg] 
m2 = 3.3; %[kg]

k1 = 16000; %[N/m]
k2 = 90000; %[N/m]

bp1 = 0.4; 
bp2 = 0.3; 

bp1min = 0.1;
bp1max = 1;

omega1 = (sqrt(k1/m1));
omega2 = (sqrt(k2/m2));

b1min = (bp1min * (2*m1*omega1));
b1max = (bp1max * (2*m1*omega1));

b1 = (bp1 * (2*m1*omega1));
b2 = (bp2 * (2*m2*omega2));

A=[0 1 0 -1; -(k1/m1) 0 0 0; 0 0 0 1; (k1/m2) 0 -(k2/m2) -(b2/m2)];
B=[0 0; -(1/m1) 0; 0 -1; 1/m2 b2/m2];
C=[1 0 0 0; 0 1 0 0; 0 0 1 0; 0 0 0 1];
D=[0 0; 0 0; 0 0; 0 0];

Q=[0 0 0 0; 0 1500 0 0; 0 0 0 0; 0 0 0 25];
R=[(1/2000) 0; 0 1];
sys=ss(A,B,C,D);
[K,S,e]=lqr(sys,Q,R);

% ------------------
% MR - viscous dahl:
% ------------------

%shodne s pasivnim:
%kxa = 250;       %64 [Ns/m] 200 .
%kxb = 1000;    %45 [Ns/mV] 650
%kwa = 10;        %2 [Ns/m] 15 .
%kwb = 350;   %80 [Ns/mV] 12.95 .
%p = 4795;      %47.95 [1/m]
%ny = 190;   %[1/sec]

kxa = 290;    %[Ns/m]  
kxb = 780;    %[Ns/mV]  
kwa = 10;     %[Ns/m]  
kwb = 13;     %[Ns/mV]  
p = 4795;     %[1/m]
ny = 190;     %[1/sec]

